<?php
/******************************************************************************
* AwardSystemdb.php                                                           *
*******************************************************************************
* SMF: Simple Machines Forum - Simple Award System Mod                        *
* Open-Source Project Inspired by Zef Hemel (zef@zefhemel.com)                *
* =========================================================================== *
* Software Version:           2.0.0b                                           *
* Software by:                WWakerFAN		                                  *
* Support, News, Updates at:  http://www.simplemachines.org                   *
*******************************************************************************
* This program is free software; you may redistribute it and/or modify it     *
* under the terms of the provided license as published by Lewis Media.        *
*                                                                             *
* This program is distributed in the hope that it is and will be useful,      *
* but WITHOUT ANY WARRANTIES; without even any implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                        *
*                                                                             *
* See the "license.txt" file for details of the Simple Machines license.      *
* The latest version can always be found at http://www.simplemachines.org.    *
******************************************************************************/
// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

db_extend('packages');

global $modSettings;
// Add Extra Award Settings
if(!isset($modSettings['award_max_width']))
	$smcFunc['db_query']('', '
		INSERT INTO {db_prefix}settings
		VALUES ("award_max_width", "16")',
		array()
	);

if(!isset($modSettings['award_max_height']))		  
	$smcFunc['db_query']('', '
		INSERT INTO {db_prefix}settings
		VALUES ("award_max_height", "16")',
		array()
	);
		  
/*if(!isset($modSettings['award_dir']))		  
db_query("INSERT INTO {$db_prefix}settings
		  VALUES ('award_dir', '')",__FILE__,__LINE__);
		  
if(!isset($modSettings['award_url']))		  
db_query("INSERT INTO {$db_prefix}settings
		  VALUES ('award_url', '')",__FILE__,__LINE__);*/

$tables = array();
$request = $smcFunc['db_query']('', 'SHOW TABLES', array());
while ($row = $smcFunc['db_fetch_row']($request))
{
	$tables[] = $row[0];
}
$smcFunc['db_free_result']($request);

if (in_array($smcFunc['db_quote']('{db_prefix}awards', array()), $tables))
{
	$columns = array();
	$request = $smcFunc['db_query']('', 'SHOW COLUMNS FROM {db_prefix}awards', array());
	while ($row = $smcFunc['db_fetch_row']($request))
	{
		$columns[] = $row[0];
	}
	$smcFunc['db_free_result']($request);
	
	if (!in_array('ID_AWARD', $columns) || !in_array('ID_AWARDED_MEMBER', $columns) || !in_array('title', $columns) || !in_array('givenDate', $columns) || !in_array('ID_MEMBER', $columns) || !in_array('memberName', $columns) || !in_array('fileName', $columns))
	{
		fatal_error('While attempting to install, this package encountered an issue with the pre-existing "awards" table, if you wish to proceed with the installation, you will be required to remove or rename the offending "awards" table.');
	} 
} 

// Add the Award Log Table
/*$smcFunc['db_create_table'] (
	'awards',
	array(
		array(
			'name' => 'ID_AWARD',
			'type' => 'int unsigned',
			'size' => 10,
			'null' => false,
			'auto' => true
		),
		array(
			'name' => 'ID_AWARDED_MEMBER',
			'type' => 'mediumint unsigned',
			'size' => 8,
			'null' => false,
			'default' => 0,
		),
		array(
			'name' => 'title',
			'type' => 'tinytext collate latin1_general_ci',
			'null' => false,
		),
		array(
			'name' => 'givenDate',
			'type' => 'mediumint unsigned',
			'size' => 10,
			'null' => false,
			'default' => 0,
		),
		array(
			'name' => 'ID_MEMBER',
			'type' => 'mediumint unsigned',
			'size' => 8,
			'null' => false,
			'default' => 0,
		),
		array(
			'name' => 'memberName',
			'type' => 'tinytext collate latin1_general_ci',
			'null' => false,
		),
		array(
			'name' => 'fileName',
			'type' => 'tinytext collate latin1_general_ci',
			'null' => false,
		),
	),
	array(
		array(
			'columns' => array('ID_AWARD'),
			'type' => 'primary'
		),
	)
);*/

$smcFunc['db_query']('', '
	CREATE TABLE IF NOT EXISTS {db_prefix}awards (
		ID_AWARD int(10) unsigned NOT NULL auto_increment,
		ID_AWARDED_MEMBER mediumint(8) unsigned NOT NULL default \'0\',
		title tinytext collate latin1_general_ci NOT NULL,
		givenDate int(10) unsigned NOT NULL default \'0\',
		ID_MEMBER mediumint(8) unsigned NOT NULL default \'0\',
  		memberName tinytext collate latin1_general_ci NOT NULL,
  		fileName tinytext collate latin1_general_ci NOT NULL,
  	PRIMARY KEY (ID_AWARD)) TYPE = MYISAM', array());
?>
